<!DOCTYPE html>
<html th:replace="/parts/template :: template(~{::title}, ~{::section})" xmlns:th="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
    <title>Example Page</title>
</head>
<body>
<section class="mt-2">
    <h2 th:text ="|Hello , ${username}|"></h2>
    <div th:replace="/parts/add-location-collapse-block :: add-location-collapse-block (path = '/add-location')"></div>
    <div class="mt-2" th:include="/parts/add-file-collapse-block :: add-file-collapse-block"></div>

    <div>
        <form th:action="@{/home}" method="get">
            <div class="input-group mt-2 w-50 p-2">
                <input type="text" name="filter" class="form-control" placeholder="Type username" aria-describedby="button-addon2"/>
                <div class="input-group-append">
                    <input type="submit" class="btn btn-outline-secondary" id="button-addon2" th:value="Search"/>
                </div>
            </div>
        </form>
    </div>
    <div th:replace="/parts/pager::pager(url ='/home', page = ${page}, content = ~{::pager})">
        <pager>
            <div th:replace="/parts/user-locations::user-locations"></div>
        </pager>
    </div>
</section>
</body>
</html>